Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Cannot install Sun java 6 package from u9.10 s/w center

  1. #1
    Join Date
    Oct 2009
    Beans
    14

    Cannot install Sun java 6 package from u9.10 s/w center

    Could not install sun java 6 brower plugin from ubuntu s/w center.

    Tried the terminal

    sudo apt-get install sun-java6-plugin

    Code:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      sun-java6-plugin: Depends: sun-java6-bin (= 6-15-1) but 6-16-0ubuntu1.9.04 is to be installed
    E: Broken packages

  2. #2
    Join Date
    Jun 2005
    Location
    Manchester , UK
    Beans
    248
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Do you have all the updates enabled & the karmic partner enabled in software sources?

    Here's the command I used to install sun Java

    sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts

    worked for me
    Desktop : Self built I7 quad core 3.2 based system

    Laptop : MSI wind U100

  3. #3
    Join Date
    Oct 2009
    Beans
    14

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Wow that was speedy. Thanks dj.

    Unfortunately it did not work for me .

    Code:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    sun-java6-jre is already the newest version.
    sun-java6-jre set to manually installed.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      sun-java6-plugin: Depends: sun-java6-bin (= 6-15-1) but 6-16-0ubuntu1.9.04 is to be installed
    E: Broken packages
    I don't really know what unmet dependencies in the last 5 lines meant.

  4. #4
    Join Date
    Jun 2005
    Location
    Manchester , UK
    Beans
    248
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    I haven't a clue as to what's up as I installed it on a fresh Install with nothing else on the system & it installed no problems, sorry I couldn't help somebody else might be able help you better then I can (just thought of something, have you tried sudo apt-get -f install) or going into synapic Package Manager & clicking on custom Filters, Broken & posting what Packages it shows up, then I might be able to sort this out
    Last edited by dj-toonz; October 30th, 2009 at 06:07 AM.
    Desktop : Self built I7 quad core 3.2 based system

    Laptop : MSI wind U100

  5. #5
    Join Date
    Oct 2009
    Beans
    14

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    I'm not too sure myself haha Still looking around for the solution.

    Thanks again.

  6. #6
    Join Date
    Jun 2008
    Location
    Cairo, Egypt
    Beans
    190
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Is that a fresh install or an upgrade ?


    the plugin installed properly on my virtualbox installation of 9.10 using s/w center
    Last edited by mhh91; October 30th, 2009 at 06:21 AM. Reason: adding a question mark

  7. #7
    Join Date
    Oct 2009
    Beans
    14

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Ok fixed. Was an upgrade fr. u/unb 9.04. Happened to both my desktop and netbook, so its probably some systemic bug.

    I uninstalled with:
    sudo apt-get remove sun-java6-jre sun-java6-plugin sun-java6-bin sun-java6-fonts
    sudo apt-get autoremove

    Cleared the installed (residuals) in synaptic manager.
    Rebooted.

    Installed sun-java6-plugin from the Ubuntu S/w Center.

    Thanks guys
    Last edited by FrostCake; October 30th, 2009 at 06:39 AM.

  8. #8
    Join Date
    Aug 2006
    Beans
    12

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Quote Originally Posted by FrostCake View Post
    Ok fixed. Was an upgrade fr. u/unb 9.04. Happened to both my desktop and netbook, so its probably some systemic bug.

    I uninstalled with:
    sudo apt-get remove sun-java6-jre sun-java6-plugin sun-java6-bin sun-java6-fonts
    sudo apt-get autoremove

    Cleared the installed (residuals) in synaptic manager.
    Rebooted.

    Installed sun-java6-plugin from the Ubuntu S/w Center.

    Thanks guys
    This solution worked for me either, was 9.04 previously. Thanks

  9. #9
    Join Date
    Nov 2009
    Beans
    1

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Same here: 9.10, upgraded from 9.04, gave a broken package warning. After removing and re-installing all sun-java packages, everything is ok.

  10. #10
    Join Date
    Jan 2010
    Beans
    1

    Re: Cannot install Sun java 6 package from u9.10 s/w center

    Quote Originally Posted by ewoutterhaar View Post
    Same here: 9.10, upgraded from 9.04, gave a broken package warning. After removing and re-installing all sun-java packages, everything is ok.
    Ditto for me.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •